GDB (xrefs)

Public Attributes | List of all members
callback_data Struct Reference

## Public Attributes
CORE_ADDR | load_offset
CORE_ADDR | load_start
CORE_ADDR | load_end
struct thread_db_info * | info
int | new_threads

## Detailed Description

Definition at line 390 of file cli-dump.c.

## Member Data Documentation

## ◆ info

struct thread_db_info* callback_data::info

Definition at line 1167 of file linux-thread-db.c.

Referenced by find_new_threads_callback(), and find_new_threads_once().

## ◆ load_end

CORE_ADDR callback_data::load_end

Definition at line 393 of file cli-dump.c.

Referenced by restore_binary_file(), restore_command(), and restore_section_callback().

## ◆ load_offset

CORE_ADDR callback_data::load_offset

Definition at line 391 of file cli-dump.c.

Referenced by restore_binary_file(), restore_command(), and restore_section_callback().

## ◆ load_start

CORE_ADDR callback_data::load_start

Definition at line 392 of file cli-dump.c.

Referenced by restore_binary_file(), restore_command(), and restore_section_callback().

## ◆ new_threads

int callback_data::new_threads

Definition at line 1168 of file linux-thread-db.c.

Referenced by find_new_threads_once().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/cli/cli-dump.c
- /tmp/gdb-8.1/gdb/linux-thread-db.c